Bug 499956 - kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 10:14 EDT by Eddie Lania
Modified: 2009-11-21 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-21 17:31:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old from the last attempt to start compiz (62.54 KB, text/plain)
2009-05-13 11:10 EDT, Eddie Lania
no flags Details
Xorg.0.log.old from the last attempt to start compiz with crash backtrace (63.85 KB, text/plain)
2009-05-13 11:16 EDT, Eddie Lania
no flags Details

  None (edit)
Description Eddie Lania 2009-05-09 10:14:31 EDT
Description of problem: When enabling compiz X segfaults.


Version-Release number of selected component (if applicable):
xorg-x11-drv-voodoo-1.2.1-2.fc11.i586
xorg-x11-fonts-75dpi-7.2-8.fc11.noarch
xorg-x11-server-Xorg-1.6.1-11.fc11.i586
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586
xorg-x11-drv-nv-2.1.13-1.fc11.i586
xorg-x11-xauth-1.0.2-6.fc11.i586
xorg-x11-server-common-1.6.1-11.fc11.i586
xorg-x11-drv-ast-0.87.0-2.fc11.i586
xorg-x11-xkb-utils-7.2-8.fc11.i586
xorg-x11-drv-avivo-0.0.1-8.fc11.i586
xorg-x11-drv-glint-1.2.2-2.fc11.i586
xorg-x11-drv-ati-6.12.2-11.fc11.i586
xorg-x11-drv-intel-2.7.0-4.fc11.i586
xorg-x11-drv-apm-1.2.1-2.fc11.i586
xorg-x11-drv-evdev-2.2.1-3.fc11.i586
xorg-x11-xfs-1.0.5-5.fc11.i586
xorg-x11-resutils-7.1-7.fc11.i586
xorg-x11-drv-v4l-0.2.0-2.fc11.i586
xorg-x11-utils-7.4-4.fc11.i586
xorg-x11-drv-s3virge-1.10.2-2.fc11.i586
xorg-x11-font-utils-7.2-7.fc11.i586
xorg-x11-drivers-7.3-11.fc11.i586
xorg-x11-fonts-Type1-7.2-8.fc11.noarch
xorg-x11-drv-elographics-1.2.3-2.fc11.i586
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-apps-7.3-8.fc11.i586
xorg-x11-proto-devel-7.4-14.fc11.noarch
xorg-x11-drv-dummy-0.3.1-2.fc11.i586
xorg-x11-drv-mach64-6.8.0-3.fc11.i586
xorg-x11-drv-s3-0.6.1-2.fc11.i586
xorg-x11-drv-i128-1.3.0-2.fc11.i586
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-geode-2.11.1-2.fc11.i586
xorg-x11-drv-synaptics-1.1.0-5.fc11.i586
xorg-x11-drv-sisusb-0.9.1-2.fc11.i586
xorg-x11-drv-r128-6.8.0-3.fc11.i586
xorg-x11-drv-nouveau-0.0.12-34.20090507git1072103.fc11.i586
xorg-x11-drv-hyperpen-1.3.0-1.fc11.i586
xorg-x11-drv-vesa-2.2.0-3.fc11.i586
xorg-x11-drv-ark-0.7.1-2.fc11.i586
xorg-x11-drv-i740-1.2.0-3.fc11.i586
xorg-x11-fonts-ISO8859-15-100dpi-7.2-8.fc11.noarch
xorg-x11-drv-rendition-4.2.1-2.fc11.i586
xorg-x11-drv-trident-1.3.1-2.fc11.i586
xorg-x11-server-utils-7.4-7.fc11.i586
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-drv-mouse-1.4.0-2.fc11.i586
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.i586
xorg-x11-drv-chips-1.2.1-2.fc11.i586
xorg-x11-drv-fpit-1.3.0-2.fc11.i586
xorg-x11-drv-mga-1.4.10-1.fc11.i586
xorg-x11-drv-savage-2.2.0-3.fc11.i586
xorg-x11-drv-cirrus-1.2.0-6.fc11.i586
xorg-x11-fonts-ISO8859-15-75dpi-7.2-8.fc11.noarch
xorg-x11-server-Xnest-1.6.1-11.fc11.i586
xorg-x11-drv-openchrome-0.2.903-10.fc11.i586
xorg-x11-drv-fbdev-0.4.0-4.fc11.i586
xorg-x11-drv-mutouch-1.2.1-2.fc11.i586
xorg-x11-drv-tseng-1.2.1-2.fc11.i586
xorg-x11-xfs-utils-1.0.5-5.fc11.i586
xorg-x11-drv-vmmouse-12.6.3-4.fc11.i586
xorg-x11-drv-aiptek-1.2.0-1.fc11.i586
xorg-x11-drv-neomagic-1.2.2-2.fc11.i586
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-drv-acecad-1.3.0-1.fc11.i586
xorg-x11-drv-penmount-1.4.0-2.fc11.i586
xorg-x11-drv-tdfx-1.4.1-2.fc11.i586
xorg-x11-drv-sis-0.10.1-2.fc11.i586
xorg-x11-fonts-100dpi-7.2-8.fc11.noarch
xorg-x11-server-devel-1.6.1-11.fc11.i586
xorg-x11-drv-vmware-10.16.0-3.fc11.i586
xorg-x11-twm-1.0.3-4.fc11.i586
xorg-x11-drv-void-1.2.0-1.fc11.i586
xorg-x11-xinit-1.0.9-6.fc11.i586

mesa-libGLw-6.5.1-7.fc11.i586
mesa-dri-drivers-7.5-0.9.fc11.i586
mesa-libGL-devel-7.5-0.9.fc11.i586
mesa-libGL-7.5-0.9.fc11.i586
mesa-libOSMesa-devel-7.5-0.9.fc11.i586
mesa-libGLU-7.5-0.9.fc11.i586
mesa-libOSMesa-7.5-0.9.fc11.i586
mesa-libGLU-devel-7.5-0.9.fc11.i586


How reproducible: Always


Steps to Reproduce:
1. Enable compiz by using "desktop-effects"
2.
3.
  
Actual results:

/var/log/messages:

May  9 15:59:42 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May  9 16:00:07 p3000fedora kernel: Xorg[2085]: segfault at 0 ip 0812e686 sp bfe75ee8 error 4 in Xorg[8047000+1ba000]
May  9 16:00:08 p3000fedora kernel: [drm] TMDS-8: set mode 1280x1024 19
May  9 16:00:12 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May  9 16:00:24 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May  9 16:00:24 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May  9 16:00:32 p3000fedora kernel: Xorg[2652]: segfault at 0 ip 0812e686 sp bfb99588 error 4 in Xorg[8047000+1ba000]
May  9 16:00:32 p3000fedora gnome-keyring-daemon[2772]: dbus failure unregistering from session: Connection is closed
May  9 16:00:32 p3000fedora kernel: [drm] TMDS-8: set mode 1280x1024 19
May  9 16:00:37 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4

/var/log/Xorg.0.log:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812e44b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c0e2e]
2: [0xe8b400]
3: /usr/lib/dri/r300_dri.so(radeonDestroyBuffer+0x34) [0x234d2d]
4: /usr/lib/dri/r300_dri.so(radeonDestroyContext+0xf4) [0x256da0]
5: /usr/lib/dri/r300_dri.so [0x22ef32]
6: /usr/lib/xorg/modules/extensions//libglx.so [0xf8bfc9]
7: /usr/lib/xorg/modules/extensions//libglx.so(__glXFreeContext+0x91) [0xf80361]
8: /usr/lib/xorg/modules/extensions//libglx.so [0xf80787]
9: /usr/bin/Xorg(CallCallbacks+0x56) [0x808b026]
10: /usr/bin/Xorg(CloseDownClient+0x67) [0x8080fa7]
11: /usr/bin/Xorg(Dispatch+0x1d8) [0x8086688]
12: /usr/bin/Xorg(main+0x3ad) [0x806bb0d]
13: /lib/libc.so.6(__libc_start_main+0xe6) [0x4a8a66]
14: /usr/bin/Xorg [0x806afa1]
                
Fatal server error:
Caught signal 11.  Server aborting

Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-05-12 17:52:10 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Eddie Lania 2009-05-13 11:10:18 EDT
Created attachment 343784 [details]
Xorg.0.log.old from the last attempt to start compiz

This is the Xorg.0.log.old from the last attempt to start compiz with "desktop-effects", as you can see in the end of the log it tries to start a back trace but the system locks so it is unable to perform this operation.

I also get the message below in the /var/log/messages log file every time I start the system, regardless of when I try to start compiz:

May 13 17:02:41 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Comment 3 Eddie Lania 2009-05-13 11:16:42 EDT
Created attachment 343789 [details]
Xorg.0.log.old from the last attempt to start compiz with crash backtrace

Xorg.0.log.old from the last attempt to start compiz with crash backtrace.

This time it did not lock up but crashed X instead.

The following was in /var/log/messages when it happened:

May 13 17:11:33 p3000fedora kernel: Xorg[2068]: segfault at 0 ip 0812e686 sp bfbcb5e8 error 4 in Xorg[8047000+1ba000]
Comment 4 Eddie Lania 2009-05-13 11:45:37 EDT
I just updated (after my previous comments today) to the latest Mesa packages with the latest radeon-rewrite and now suddenly all seems to be working fine again.

I hope that installing these Mesa updates have solved this problem.

I will keep testing for the coming period and will report back if this really is solved now.

Sorry for the disturbance in advance.
Comment 5 Eddie Lania 2009-05-14 13:26:35 EDT
I just keep getting the messages like below in the syslog when I start up the system:

grep "gem set domain" /var/log/messages
May 12 16:49:26 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 12 20:12:27 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 12 20:12:57 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 12 22:14:43 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 16:58:50 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 16:59:20 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 17:02:41 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 17:11:54 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 17:35:28 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 17:36:01 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 19:07:31 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 19:14:49 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 20:46:45 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 21:36:29 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 21:38:04 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:23:32 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:26:07 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:30:07 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:32:46 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:33:16 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:51:56 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:55:48 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 22:57:59 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 23:18:29 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 13 23:18:41 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
May 14 16:53:38 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Comment 6 Eddie Lania 2009-05-16 09:38:09 EDT
I have had no X segfaults anymore lately. All issues seem to be solved.


Just updated to xorg-x11-drv-ati-6.12.2-14.fc11.i586

mesa-libGLw-6.5.1-7.fc11.i586
mesa-libOSMesa-7.5-0.14.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586
mesa-libGLU-devel-7.5-0.14.fc11.i586
mesa-libGL-devel-7.5-0.14.fc11.i586
mesa-libGL-7.5-0.14.fc11.i586
mesa-libOSMesa-devel-7.5-0.14.fc11.i586
mesa-libGLU-7.5-0.14.fc11.i586

I still get this error tough:

[drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4

I this a kernel bug? Do I have to open a new bug for it?
Comment 7 Matěj Cepl 2009-05-16 11:46:39 EDT
OK, so let's keep this bug opened as a driver bug.
Comment 8 Bug Zapper 2009-06-09 11:32:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joachim Frieben 2009-06-26 04:49:07 EDT
For current F11 w/updates and an ATI Radon X800 [R430], X crashes when enabling desktop effects and KMS is active. Xorg.0.log shows the following backtrace:

  Backtrace:
  0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89c6]
  1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d6af]
  2: /lib64/libc.so.6 [0x38d7633370]
  3: /usr/lib64/dri/r300_dri.so(radeonDestroyBuffer+0x40) [0x7fd190f39a42]
  4: /usr/lib64/dri/r300_dri.so(radeonDestroyContext+0xdf) [0x7fd190f5866e]
  5: /usr/lib64/dri/r300_dri.so [0x7fd190f33e66]
  6: /usr/lib64/xorg/modules/extensions//libglx.so [0x7fd19c8e1db9]
  7: /usr/lib64/xorg/modules/extensions//libglx.so(__glXFreeContext+0x6c)
       [0x7fd19c8d85cc]
  8: /usr/lib64/xorg/modules/extensions//libglx.so [0x7fd19c8d894b]
  9: /usr/bin/Xorg(CallCallbacks+0x4c) [0x44b37c]
  10: /usr/bin/Xorg(CloseDownClient+0x58) [0x441c38]
  11: /usr/bin/Xorg(Dispatch+0x210) [0x446d70]
  12: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
  13: /lib64/libc.so.6(__libc_start_main+0xfd) [0x38d761ea2d]
  14: /usr/bin/Xorg [0x42c559]

Installed files include:
- kernel-2.6.29.5-198.fc11.x86_64
- libdrm-2.4.6-7.fc11.x86_64
- mesa-*-7.5-0.14.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-17.fc11.x86_64
- xorg-x11-server-Xorg-1.6.1.901-5.fc11.x86_64

Btw, prepending "[KMS]" to the title would be a good idea for I have no problems in non-KMS mode [linux ... nomodeset vga=0x345]
Comment 10 Eddie Lania 2009-10-11 13:03:50 EDT
I am still having this "kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon
gem set domain -11 failed 0 4" errors in my messages. Can somebody explain this error? Is it harmful? Is somebody working on it? Have not seen any ati driver updates for a long while now.
Comment 11 Remke 2009-10-13 05:24:47 EDT
I have the same problem:
* dell 6000 inspiron
* 01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]
* Linux fedora 2.6.30.8-64.fc11.i586 #1 SMP Fri Sep 25 04:30:19 EDT 2009 i686 i686 i386 GNU/Linux

grep "gem set domain" /var/log/messages
Oct 12 13:59:40 localhost kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Oct 12 13:59:40 localhost kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Oct 12 15:02:18 localhost kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Oct 12 15:21:45 localhost kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Oct 13 09:24:27 localhost kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Comment 12 Eddie Lania 2009-10-25 15:36:30 EDT
bug 499335 (which is about this same problem) is closed stating that this issue is solved in rawhide.

Is it possible to push that driver back to F11? Could that solve the problem in F11 also?
Comment 13 Matěj Cepl 2009-11-05 13:28:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Harshavardhana 2009-11-06 13:25:03 EST
Seen in Fedora 11

Recent update
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64.rpm
kernel-2.6.30.9-90.fc11.x86_64.rpm

Reproducible all the time 

ATI card is ES1000 which leads screen corruption and flickering.
Comment 15 Eddie Lania 2009-11-06 13:47:45 EST
grep -i drm /var/log/messages |grep ERROR
Nov  2 16:48:26 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Nov  3 21:06:29 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Nov  5 16:50:41 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Nov  5 17:04:50 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4
Nov  6 17:00:39 p3000fedora kernel: [drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4

kernel-PAE-2.6.30.9-90.fc11.i686
xorg-x11-drv-ati-6.12.2-14.fc11.i586
Comment 16 Harshavardhana 2009-11-06 15:52:47 EST
Can anyone point me to the right fix in fc12, i will backport it to fc11 source
or anyone is already working on this issue?.
Comment 17 Eddie Lania 2009-11-21 14:19:57 EST
I just went over today from F11 to F12. Afterwards I have not seen this error anymore in the messages log.
Comment 18 Matěj Cepl 2009-11-21 17:31:31 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.